{========================================================================}
{=                (c) 1995-98 SwiftSoft Ronald Dittrich                 =}
{========================================================================}
{=                          All Rights Reserved                         =}
{========================================================================}
{=  D 01099 Dresden             = Fax.: +49(0)351-8037944               =}
{=  Loewenstr.7a                = info@swiftsoft.de                     =}
{========================================================================}
{=  Actual versions on http://www.swiftsoft.de/index.html               =}
{========================================================================}
{=  This code is for reference purposes only and may not be copied or   =}
{=  distributed in any format electronic or otherwise except one copy   =}
{=  for backup purposes.                                                =}
{=                                                                      =}
{=  No Delphi Component Kit or Component individually or in a collection=}
{=  subclassed or otherwise from the code in this unit, or associated   =}
{=  .pas, .dfm, .dcu, .asm or .obj files may be sold or distributed     =}
{=  without express permission from SwiftSoft.                          =}
{=                                                                      =}
{=  For more licence informations please refer to the associated        =}
{=  HelpFile.                                                           =}
{========================================================================}
{=  $Date: 07.10.98 - 11:33:57 $                                        =}
{========================================================================}
unit MMMpReg;

{$I COMPILER.INC}

{$DEFINE _BLADEENC}

Interface

Procedure Register;

Implementation

{$R MMMPEG.D32}

uses
    Controls,
    Classes,
    DsgnIntf,
    SysUtils,
    MMMpeg,
    MMAudio,
    MMAPlay
    {$IFDEF _BLADEENC}
    ,MMBlade
    {$ENDIF}
    ;

{==============================================================================}
procedure Register;
begin
   RegisterComponents('MMWave', [TMMMpegFile,
                                 TMMAudioFile,
                                 TMMAudioPlayer
                                 {$IFDEF _BLADEENC}
                                 ,TMMMP3Encoder
                                 {$ENDIF}
                                 ]);

   RegisterPropertyEditor(TypeInfo(TFileName),TMMMpegFile,'FileName',TMMMpegFileNameProperty);
   RegisterComponentEditor(TMMMpegFile, TMMMpegFileComponentEditor);

   RegisterPropertyEditor(TypeInfo(TFileName),TMMBaseAudioFile,'FileName',TMMAudioFileNameProperty);
   RegisterComponentEditor(TMMBaseAudioFile, TMMAudioFileComponentEditor);
end;

end.
